#include<bits/stdc++.h>
using namespace std;
struct t{
    int a;
    int b;
    int c;
};
vector<t> v;
void f(int n, int a, int b){
    t buff;
    buff.a=a;
    buff.b=b;
    buff.c=n/a/b;
    v.push_back(buff);
}
void f2(int n, int a){
    for(int i=1;i<sqrt(n/a);i++){
        if((n/a)%i==0) f(n, a, i);
    }
    if(sqrt(n/a)*sqrt(n/a)==n/a) f(n, a, sqrt(n/a));
}
void f3(int n){
    for(int i=1;i<sqrt(n);i++){
        if(n%i==0) f2(n, i);
    }
    if(sqrt(n)*sqrt(n)==n) f2(n, sqrt(n));
}


int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin>>n;
    f3(n);
    int br3=0, br2=0, br=0;
    for(int i=0;i<v.size();i++){
        t buff=v[i];
        if(buff.a==buff.b && buff.b==buff.c) br3++;
        else if(buff.a==buff.b || buff.a==buff.c || buff.b==buff.c) br2++;
        else br++;
    }
    int ans=v.size();
    cout<<ans;
    return 0;
}
